Subject: Re: Phyr Starter

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 11 Jan 2022 18:57:13 -0400

On Tue, Jan 11, 2022 at 03:09:13PM -0700, Logan Gunthorpe wrote:

> Either that, or we need a wrapper that allocates an appropriately
> sized SGL to pass to any dma_map implementation that doesn't support
> the new structures.

This is what I think we should do. If we start with RDMA then we can
motivate the 4 main server IOMMU drivers to get updated ASAP, then it
can acceptably start to spread to other users.

The passthrough path would have to be optimized from the start to
avoid the SGL.

Jason